# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "llkv-types"
version = "0.8.3-alpha"
authors = ["Jeremy Harris <jeremy.harris@zenosmosis.com>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Common data types for the LLKV toolkit."
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/jzombie/rust-llkv"
resolver = "2"

[lib]
name = "llkv_types"
path = "src/lib.rs"

[dependencies.arrow]
version = "57.0.0"
features = [
    "prettyprint",
    "ipc",
]
default-features = false

[dependencies.arrow-buffer]
version = "57.0.0"
default-features = false

[dependencies.llkv-result]
version = "0.8.3-alpha"

[dependencies.modular-bitfield]
version = "0.13.0"

[dependencies.serde]
version = "1.0.228"
features = [
    "derive",
    "derive",
]
optional = true

[dependencies.time]
version = "0.3.44"
features = [
    "formatting",
    "macros",
    "parsing",
]

[dev-dependencies.llkv-test-utils]
version = "0.8.3-alpha"
features = ["auto-init"]
optional = false

[lints.clippy]
disallowed_methods = "deny"
print_stderr = "deny"
print_stdout = "deny"
